#include <iocslib.h>
#include "defines.h"
#include "aigtext.h"

int EX_PUTC16(int c)
/* 拡張属性 半角(8*16)／全角(16*16)１文字表示 */
{
int col;
_FNTBUF fnt;
	col=EX_COLOR(-1);
	/* 拡張属性が使われていない時はB_PUTC()に任せる（高速化）*/
	/* コントロールコードの時はB_PUTC()に任せる（コントロールコード対応）*/
	if (col==(col&(BIT0123))||c<' ') return(B_PUTC(c));
	if (fontsetc(c,8,&fnt)) return(FONTPUT(&fnt));
	return(-1); /* ２バイトコードが完成していない時 */
}
